#ifndef ARTISTPRIVATE_H
#define ARTISTPRIVATE_H

#include "artist.h"
#include "musicobjectprivate.h"

class RecordPrivate;
class MusicLibraryPrivate;
class Song;

class ArtistPrivate : public MusicObjectPrivate
{
public:
    ArtistPrivate(Artist *pubPtr, MusicLibraryPrivate *library);
    ~ArtistPrivate();

    void setHomePage(const QUrl &hp) { homePage = hp; }
    QUrl getHomePage() const { return homePage; }

    void addRecord(RecordPrivate *record) { records.append(record); }
    void removeRecord(RecordPrivate *record) { records.removeOne(record); }
    void listRecords(QList<Record *> &list);
    void listSongs(QList<Song *> &list);
    void libraryDeleted();

private:
    QUrl homePage;
    QList<RecordPrivate *> records;
};

#endif // ARTISTPRIVATE_H
