#include "mldebug.h"

#ifdef MEMORY_PROFILING

QHash<void *, QString> privateAllocations;
int maxAllocations = 0;
int allocations = 0;
int deletions = 0;

void dump()
{
    qDebug("Allocated %d times, freed %d times", allocations, deletions);
    qDebug("Max allocations: %d", maxAllocations);
    QList<QString> values = privateAllocations.values();
    foreach (QString data, values) {
        qDebug("Leak: %s", qPrintable(data));
    }
}

void addAlloc(void *ptr, const QString &data)
{
    privateAllocations.insert(ptr, data);
    allocations++;
    int size = privateAllocations.size();
    if (size > maxAllocations) {
        maxAllocations = size;
    }
}

void removeAlloc(void *ptr)
{
    privateAllocations.remove(ptr);
    deletions++;
}

#endif
