#include "musicobjectprivate.h"
#include "artistprivate.h"
#include "recordprivate.h"
#include "songprivate.h"
#include "musiclibraryprivate.h"
#include "mldebug.h"

MusicObjectPrivate::MusicObjectPrivate(MusicObject *publicPtr, MusicLibraryPrivate *lib)
    : pPtr(publicPtr), library(lib)
{
}

MusicObjectPrivate::MusicObjectPrivate(MusicObject *publicPtr, MusicObjectPrivate *parent)
    : pPtr(publicPtr), library(parent->library)
{
}

MusicObjectPrivate::~MusicObjectPrivate()
{
}

void MusicObjectPrivate::setName(const QString &n)
{
    if (name != n) {
        name = n;
        library->notifyChanged(this);
    }
}

QString MusicObjectPrivate::getName() const
{
    return name;
}
