#ifndef RECORDPRIVATE_H
#define RECORDPRIVATE_H

#include "record.h"
#include "musicobjectprivate.h"

class SongPrivate;
class ArtistPrivate;

class RecordPrivate : public MusicObjectPrivate
{
public:
    RecordPrivate(Record *pubPtr, ArtistPrivate *artist);
    ~RecordPrivate();

    // Public API
    void setReleaseDate(const QDateTime &rd);
    QDateTime releaseDate() const { return relDate; }
    void setCoverArtFile(const QString &caf);
    QString coverArtFile() const { return coverArt; }

    // Private API
    void addSong(SongPrivate *song) { songs.append(song); }
    void removeSong(SongPrivate *song) { songs.removeOne(song); }
    void listSongs(QList<Song *> &list);
    void artistDeleted();

private:
    ArtistPrivate *artist;
    QDateTime relDate;
    QString coverArt;
    QList<SongPrivate *> songs;
};

#endif // RECORDPRIVATE_H
